Bug 105688 - pam_ldap not working, but nss_ldap does
pam_ldap not working, but nss_ldap does
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: nss_ldap (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 12:05 EDT by Deb
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:28:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deb 2003-09-26 12:05:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I am attempting to authenticate a RH9 client running openldap-clients-2.0.27-8
openldap-2.0.27-8
openldap-devel-2.0.27-8
nss_ldap-202-5
with a Solaris 9 iPlanet 5.1 SP 2 LDAP server with TLS/SSL.

ldapsearch works perfectly - an SSL connection is made and the expected results
are returned to the client, so I assume the nss_ldap part of the package works ok. 

The pam_ldap part does not seem to work..... logins are accepted only if local
accounts are present.  

I have tried using authconfig (selecting LDAP with TLS), which generates an
expected /etc/pam.d/system-auth file.  I have also copied the pam configurations
and nsswitch.conf from /usr/share/doc/nss_ldap-202/pam.d.

No logins or ssh connections work unless the account is local.  Logs from the
ldap server indicate that no communication even starts.
Logs (var/logs/secure) from the client say this for an ssh attempt:

Sep 25 13:44:43 inspiron1 sshd[4659]: Illegal user mazurekd from 136.159.61.91
Sep 25 13:45:43 inspiron1 sshd[4659]: pam_ldap: ldap_result Timed out
Sep 25 13:46:12 inspiron1 sshd[4659]: fatal: Timeout before authentication for
136.159.61.91
Sep 25 13:46:12 inspiron1 sshd[4659]: Cannot release PAM authentication[4]:
System error

Logs (/var/logs/secure) from the client show this for log-in attempts:
Sep 25 15:21:43 inspiron1 login: FAILED LOGIN 1 FROM (null) FOR root,
Authentication failure
Sep 25 15:21:43 inspiron1 login: FAILED LOGIN 2 FROM (null) FOR (null),
Authentication failure
Sep 25 15:21:43 inspiron1 login: FAILED LOGIN 3 FROM (null) FOR (null),
Authentication failure
Sep 25 15:21:43 inspiron1 login: FAILED LOGIN SESSION FROM (null) FOR (null),
Authentication failure
Sep 25 15:21:45 inspiron1 login: FAILED LOGIN 1 FROM (null) FOR mazurekd,
Authentication failure
Sep 25 15:21:45 inspiron1 login: FAILED LOGIN 2 FROM (null) FOR (null),
Authentication failure
Sep 25 15:21:45 inspiron1 login: FAILED LOGIN 3 FROM (null) FOR (null),
Authentication failure
Sep 25 15:21:45 inspiron1 login: FAILED LOGIN SESSION FROM (null) FOR (null),
Authentication failure

(the user 'mazurekd' exists on the ldap server, not on the client.  'root'
exists on the client)



Version-Release number of selected component (if applicable):
nss_ldap-202-5

How reproducible:
Always

Steps to Reproduce:
1.run authconfig
2.select ldap/tls
3.edit /etc/nsswitch.conf to ensure hosts has dns
4.try to ssh localhost or login from virtual terminal or from gdm with users
only in ldap server or users only local

run authconfig
un-select ldap/tls
edit /etc/nsswitch.conf to use ldap 
edit /etc/pam.d files to match examples in /usr/share/doc/nss_ldap-202/pam.d.
try to ssh localhost or login from virtual terminal or from gdm with users only
in ldap server or users only local
    

Actual Results:  Login and ssh attempts to the client failed.

Expected Results:  Logins and ssh attempts should have resulted in negotiation
and authentication with the ldap server.  

Additional info:
Comment 1 Deb 2003-09-26 16:15:17 EDT
I removed the redhat rpm (nss_ldap-211) and installed nss_ldap-211 & pam_ldap-164
from www.padl.com.

This has made no difference.
Comment 2 panzer 2003-10-19 04:25:34 EDT
I tracked this down to a recompile of thee openssh server.  I had openssh-
server-3.5p1-11 installed.  Running "id <user>" resulted in the user 
information being displayed properly, however, SSH would fail.  Tracked down 
the "Illegal user" error message to code that would cause SSH to fail 
if "getpwnam("user")".  This shouldn't happen if it was linked with the right 
code, so I recompiled on my rh9 box, and installed the recompilation (no 
changes were made, installed src rpm, then did a rpmbuild -ba on it).

End results, openssh worked because it could find the user in the NSS maps.
Comment 3 Bill Nottingham 2006-08-05 01:52:00 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 14:28:45 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.